> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Case Agent Session Interaction Backfill

> Poll a durable historical case-mutation backfill.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /admin/maintenance/case-agent-session-interactions/backfill/{operation_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/maintenance/case-agent-session-interactions/backfill/{operation_id}:
    get:
      tags:
        - admin:maintenance
      summary: Get Case Agent Session Interaction Backfill
      description: Poll a durable historical case-mutation backfill.
      operationId: admin:maintenance-get_case_agent_session_interaction_backfill
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Operation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CaseAgentSessionInteractionBackfillStatusResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    CaseAgentSessionInteractionBackfillStatusResponse:
      properties:
        operation_id:
          type: string
          format: uuid
          title: Operation Id
        status:
          $ref: '#/components/schemas/CaseAgentSessionBackfillStatus'
        report:
          anyOf:
            - $ref: '#/components/schemas/CaseAgentSessionInteractionBackfillResponse'
            - type: 'null'
      type: object
      required:
        - operation_id
        - status
      title: CaseAgentSessionInteractionBackfillStatusResponse
      description: Current state and optional result of the durable backfill.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CaseAgentSessionBackfillStatus:
      type: string
      enum:
        - running
        - completed
        - failed
      title: CaseAgentSessionBackfillStatus
      description: Lifecycle state for the durable backfill operation.
    CaseAgentSessionInteractionBackfillResponse:
      properties:
        batches_processed:
          type: integer
          title: Batches Processed
        sessions_scanned:
          type: integer
          title: Sessions Scanned
        history_rows_scanned:
          type: integer
          title: History Rows Scanned
        mutation_candidates:
          type: integer
          title: Mutation Candidates
        inserted:
          type: integer
          title: Inserted
        existing:
          type: integer
          title: Existing
        skipped:
          additionalProperties:
            type: integer
          type: object
          title: Skipped
      type: object
      required:
        - batches_processed
        - sessions_scanned
        - history_rows_scanned
        - mutation_candidates
        - inserted
        - existing
        - skipped
      title: CaseAgentSessionInteractionBackfillResponse
      description: Aggregate result of the historical interaction backfill.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````